import { OnesTable } from '../../../../@ones-table/common';
import './conditional-format.scss';
import { GC } from '../../../../@ones-table/core';
export default class ConditionFormatSidebar {
    private table;
    private _root;
    private _contentContainer;
    private _newRuleContent;
    private _ruleManagerContent;
    constructor(table: OnesTable);
    show(type: 'newRule' | 'manageRules', rule?: GC.Spread.Sheets.ConditionalFormatting.ConditionRuleBase): void;
    destroy(): void;
    root(): HTMLElement;
    private handleShowNewRule;
    private handleShowRuleManager;
    private handleClose;
}
